Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_captured_block Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE | self
const VALUE * | ep
union {
const rb_iseq_t * iseq
const struct vm_ifunc * ifunc
VALUE val
} | code
union {
const rb_iseq_t * iseq
const struct vm_ifunc * ifunc
VALUE val
} | code

## Detailed Description

Definition at line 727 of file vm_core.h.

## Field Documentation

## ◆ code [1/2]

union { ... } rb_captured_block::code

## ◆ code [2/2]

union { ... } rb_captured_block::code

## ◆ ep

const VALUE * rb_captured_block::ep

Definition at line 729 of file vm_core.h.

Referenced by rb_vm_block_ep_update().

## ◆ ifunc

const struct vm_ifunc* rb_captured_block::ifunc

Definition at line 732 of file vm_core.h.

## ◆ iseq

const rb_iseq_t* rb_captured_block::iseq

Definition at line 731 of file vm_core.h.

## ◆ self

VALUE rb_captured_block::self

Definition at line 728 of file vm_core.h.

## ◆ val

VALUE rb_captured_block::val

Definition at line 733 of file vm_core.h.

The documentation for this struct was generated from the following files:

- vm_core.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h